WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: vlc does not run on my VIA Samuel 2  (Read 2761 times)

Offline gerald_clark

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4254
vlc does not run on my VIA Samuel 2
« on: June 09, 2012, 01:07:33 PM »
tc@sonjvia:~$ vlc
VLC media player 2.0.1 Twoflower (revision 2.0.1-0-gf432547)
[0x98ea0c8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Illegal instruction
tc@sonjvia:~$

Looks like it was compiled with the wrong flags.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9668
Re: vlc does not run on my VIA Samuel 2
« Reply #1 on: June 09, 2012, 05:23:57 PM »
Yeah, it seems that vlc or one or more of it's deps was built for i686 and above.  Did the previous vlc work? I may upload it as vlc-VER.scm so there is a vlc choice for those who cannot use the current.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9668
Re: vlc does not run on my VIA Samuel 2
« Reply #2 on: June 09, 2012, 05:41:06 PM »
I am uploading vlc1.scm, never hurts to have an older version available.

Offline gerald_clark

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4254
Re: vlc does not run on my VIA Samuel 2
« Reply #3 on: June 10, 2012, 07:10:42 AM »
vlc1 has the same problem.

Offline gerald_clark

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4254
Re: vlc does not run on my VIA Samuel 2
« Reply #4 on: June 11, 2012, 03:08:23 PM »
vlc.tcz works, but the .scm has the illegal instruction.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9668
Re: vlc does not run on my VIA Samuel 2
« Reply #5 on: June 11, 2012, 03:57:34 PM »
Hmm, that sounds strange, though I was about to ask if the tcz version did the same.

I will try to find the cause, though I don't have a sub i686 to test with.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9668
Re: vlc does not run on my VIA Samuel 2
« Reply #6 on: June 14, 2012, 06:16:31 PM »
I think there are two possibilities for what we are seeing.  One, the most likely perhaps, is that the scm version comtains the full set of optional dependencies, and maybe one of them is not i586 compatible.  I am not sure if vlc loads those optional libs on application startup if they are present, but it is possible.

The second one is that the binary editing has resulted in a segfault for i586.  I have seen an improper edit result in a segfault, but it segfaults on i686 and I don't see why it would segfault with one arch and not with another.